﻿;==========================================================================================================================================================
; Based on sorting code from Reginal Venaglia
;==========================================================================================================================================================

Procedure SortCategoryEntries()
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  NumberOfItems.i = CountGadgetItems(#Gadget_PasswordMuncher_Category)
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  If NumberOfItems.i > 7
    
    ;----------------------------------------------------------------------------------------------
    ; Get number items in ListIcon
    ;----------------------------------------------------------------------------------------------
    
    NewList Categories.CategoryData()
    
    ;----------------------------------------------------------------------------------------------
    ; Place each item text into the list. Must start at Zero
    ;----------------------------------------------------------------------------------------------
    
    For LoopCounter.i = 0 To NumberOfItems.i - 1
      
      AddElement(Categories())
      
      Categories()\Category      = GetGadgetItemText(#Gadget_PasswordMuncher_Category, LoopCounter.i, Program\CategoryItemColumn)
      
      Categories()\Record        = GetGadgetItemText(#Gadget_PasswordMuncher_Category, LoopCounter.i, Program\CategoryRecordColumn)
      
    Next LoopCounter 
    
    ;----------------------------------------------------------------------------------------------
    ; Sort the Array in ascending order
    ;----------------------------------------------------------------------------------------------
    
    SortStructuredList(Categories(), #PB_Sort_Ascending, OffsetOf(CategoryData\Category), #PB_String, 5, ListIndex(Categories()))
    
    ;----------------------------------------------------------------------------------------------
    ; Now replace ListIcon Items from the sorted Array
    ;----------------------------------------------------------------------------------------------
    
    ForEach Categories()
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Category, ListIndex(Categories()), Categories()\Category,   Program\CategoryItemColumn)
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Category, ListIndex(Categories()), Categories()\Record,     Program\CategoryRecordColumn)
      
      If HighlightString.s = Categories()\Category
        
        LineToHighLight.i  = ListIndex(Categories())
        
      EndIf
      
    Next Categories()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ClearList(Categories())
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetGadgetState(#Gadget_PasswordMuncher_Category, LineToHighLight.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 1
; Folding = -
; EnableXP
; HideErrorLog