﻿Procedure MainWindowCallback(hWnd, uMsg, wParam, lParam)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select uMsg
      
    ;----------------------------------------------------------------------------------------------
    ; Sparkie/Srod's addition to detect pos in editorgadget and convert to physical line
    ;----------------------------------------------------------------------------------------------
    
    Case #WM_NOTIFY
    
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      *nmhdr.NMHDR = lParam
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      *lvCD.NMLVCUSTOMDRAW = lParam
      
      If *lvCD\nmcd\hdr\hwndFrom = GadgetID(#Gadget_PasswordMuncher_Titles) And *lvCD\nmcd\hdr\code = #NM_CUSTOMDRAW
        
        Select *lvCD\nmcd\dwDrawStage
            
          Case #CDDS_PREPAINT
            
            result = #CDRF_NOTIFYITEMDRAW
            
          Case #CDDS_ITEMPREPAINT
            
            result = #CDRF_NOTIFYSUBITEMDRAW;
            
          Case #CDDS_ITEMPREPAINT | #CDDS_SUBITEM
            
            thisRow = *lvCD\nmcd\dwItemSpec
            
            thisCol = *lvCD\iSubItem
            
            on_off = GetGadgetItemData(#Gadget_PasswordMuncher_Titles, thisRow)
            
            ; If thisCol = 0 And on_off. Specifically for column 0. You can change this to any or just use on_off to set all columns
            
            If on_off
              
              SelectObject_(*lvCD\nmcd\hdc, FontID(#FontStrikeoutYes))
              
              result = #CDRF_NEWFONT; | #CDRF_DODEFAULT
              
            Else
              
              SelectObject_(*lvCD\nmcd\hdc, FontID(#FontStrikeoutNo))
              
              result = #CDRF_NEWFONT   
              
            EndIf
            
        EndSelect
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
    
  EndSelect ; uMsg

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ProcedureReturn #PB_ProcessPureBasicEvents
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 8
; FirstLine = 3
; Folding = -
; EnableXP