﻿;==========================================================================================================================================================
; Save the new or edited PasswordMuncher data
;==========================================================================================================================================================

Procedure SavePasswordData()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Password\Title        = RepQuote(GetGadgetText(#Gadget_Data_Title))
  
  Password\Information  = RepQuote(GetRtfData(#Gadget_Data_Details))
  
  Password\Category     = RepQuote(GetGadgetText(#Gadget_Data_cCategory))
  
; Password\Favourite    = RepQuote(GetGadgetText(#Gadget_Data_Favourite))
  
; Password\Locked       = RepQuote(GetGadgetText(#Gadget_Data_Locked))
  
; Password\Deleted      = RepQuote(GetGadgetText(#Gadget_Data_Deleted))
  
; Password\Record       = RepQuote(GetGadgetText(#Gadget_Data_Recordnumber))
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select Program\LastWindow
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Case  "Add New PasswordMuncher Item"
    
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      With Password
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        \Favourite  = "0"
        
        \Locked     = "0"
        
        \Deleted    = "0"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "INSERT INTO Passwords("
        
        QueryString.s + "Title, Information, Category, Favourite, Locked, Deleted) "
        
        QueryString.s + "VALUES("
        
        QueryString.s + "'"   +   \Title        + "'"
        
        QueryString.s + ", '" +   \Information  + "'"
        
        QueryString.s + ", '" +   \Category     + "'"
        
        QueryString.s + ", '" +   \Favourite    + "'"
        
        QueryString.s + ", '" +   \Locked       + "'"
        
        QueryString.s + ", '" +   \Deleted      + "'"
        
        QueryString.s + ")"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
          
          \Record = DatabaseLastInsertRowId()
          
          If \Record <> ""
            
            NewNumberOfItems.i = CountGadgetItems(#Gadget_PasswordMuncher_Titles)
            
            DisplayTitleString(NewNumberOfItems.i,  "AddMode")
            
            LastLine(#Gadget_PasswordMuncher_Titles, NewNumberOfItems.i - 1)
            
            Program\CurrentLine = NewNumberOfItems.i
            
          Else
            
            SetInfoBarArea("Headings",  "Error",  "No record number created " + DatabaseError())
            
          EndIf
          
        Else
          
          SetInfoBarArea("Headings", "Error", "Database table failed to be updated " + DatabaseError())
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      EndWith
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Case "Edit Old PasswordMuncher Item"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      With Password
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "UPDATE Passwords SET "
        
        QueryString.s + "Title = '"         + \Title        + "', "
        
        QueryString.s + "Information = '"   + \Information  + "', "
        
        QueryString.s + "Category = '"      + \Category     + "'  "
        
;       QueryString.s + "Favourite = '"     + \Favourite    + "', "
        
;       QueryString.s + "Locked = '"        + \Locked       + "', "

;       QueryString.s + "Deleted = '"       + \Deleted      + "'  "
        
        QueryString.s + "WHERE Record = '"  +  Program\CurrentRecord  + "'"

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
          
          DisplayTitleString(Program\CurrentLine, "EditMode")
          
        Else
          
          SetInfoBarArea("Headings", "Error", "Database table failed to be updated " + DatabaseError())
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      EndWith
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CloseMyWindow(#Window_Data)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SortTitleStrings(Password\Title)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 152
; FirstLine = 138
; Folding = -
; EnableXP