﻿;==========================================================================================================================================================
; Show the data string for PasswordMuncher on the screen
;==========================================================================================================================================================

Procedure ShowPasswordData()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_PasswordMuncher_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i <> -1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    passTitle.s     = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, CurrentLine.i, Program\TitleColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    passDeleted.s   = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, CurrentLine.i, Program\DeletedColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    passRecord.s    = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, CurrentLine.i, Program\RecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If passDeleted.s <> "1"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If passRecord.s <> ""
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        QueryString.s = "SELECT Information, Category FROM Passwords "
        
        QueryString.s + "WHERE Record = '" + passRecord.s + "'"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseQuery(Program\DatabaseHandle,  QueryString.s)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          While NextDatabaseRow(Program\DatabaseHandle)
            
            passInformation.s = KillQuote(GetDatabaseString(Program\DatabaseHandle, 0))
            
            passCategory.s    = KillQuote(GetDatabaseString(Program\DatabaseHandle, 1))
            
            SetGadgetText(#Gadget_PasswordMuncher_Details, passInformation.s)
            
            If passTitle.s <> ""
              
              SetGadgetItemText(#Gadget_PasswordMuncher_Titles, -1, "Title >> " + passTitle.s, 0)
              
              SetInfoBarArea("Headings",  "Info",  "Title >> [" + passTitle.s + "], Category >> [" + passCategory.s + "]")
              
            Else
              
              SetGadgetItemText(#Gadget_PasswordMuncher_Titles, -1, "Title >> [Empty title]", 0)
              
              SetInfoBarArea("Headings",  "Info",  "Title >> [Empty title], Category >> [" + passCategory.s + "]")
              
            EndIf
          
            SetInfoBarArea("Number",  "", passRecord.s)
            
          Wend
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          FinishDatabaseQuery(Program\DatabaseHandle)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings",  "Error",  "The database query has failed or was empty. " + DatabaseError())
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings",  "Error",  "There was no record number found for the selected line.")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetGadgetText(#Gadget_PasswordMuncher_Details, "")
      
      SetInfoBarArea("Headings",  "Warn",  "Cannot edit a deleted record, recover it first.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info",  "There is no current line selected.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 84
; FirstLine = 62
; Folding = -
; EnableXP