;==========================================================================================================================================================
; Strip illegal characters from text strings
;==========================================================================================================================================================

Procedure.s XMLToText(XMLString.s)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  TextString.s = RemoveString(XMLString.s, Chr(13))

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  If Left(TextString.s, 1) = Chr(10)

    TextString.s = Mid(TextString.s, 2)

  EndIf

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  TextString.s = ReplaceString(TextString.s, "&amp;",       "&")

  TextString.s = ReplaceString(TextString.s, "&lt;",        "<")

  TextString.s = ReplaceString(TextString.s, "&gt;",        ">")

  TextString.s = ReplaceString(TextString.s, "&apos;",      "'")

  TextString.s = ReplaceString(TextString.s, "&quot;",  Chr(34))

  TextString.s = ReplaceString(TextString.s, "&#128",       "")

  TextString.s = ReplaceString(TextString.s, "&#39;",       "'")
  
  TextString.s = ReplaceString(TextString.s, Chr(10),        "")

  TextString.s = ReplaceString(TextString.s, Chr(182),   Chr(07))

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  ProcedureReturn Trim(TextString.s)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 41
; FirstLine = 12
; Folding = -
; EnableAsm
; EnableXP