;==========================================================================================================================================================
; Check the startup unlocking password
;==========================================================================================================================================================

Procedure CheckStartUpPassWord()
  
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    QueryString.s = "SELECT MD5FingerPrint FROM Preferences "
    
    QueryString.s + "WHERE Record = '1'"
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If DatabaseQuery(Program\DatabaseHandle, QueryString.s)
      
      While NextDatabaseRow(Program\DatabaseHandle)
        
        StoredPassWord.s = KillQuote(GetDatabaseString(Program\DatabaseHandle, 0))
        
      Wend
      
      FinishDatabaseQuery(Program\DatabaseHandle)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    NewPassWord.s    = GetGadgetText(#Gadget_StartUpPassword_UnlockPassWord)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If NewPassWord.s = ""
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      MessageRequester("Security Error",  "Password field must not be empty."  + Chr(10) + Chr(13) + Chr(10) + Chr(13) +  "Try again, or press ESC to exit.",  #MB_ICONWARNING)
      
      SetGadgetText(#Gadget_StartUpPassword_UnlockPassWord, "")
      
      SetActiveGadget(#Gadget_StartUpPassword_UnlockPassWord)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    ElseIf NewPassWord.s <> ""
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      NewPassWord.s    = MD5Fingerprint(@NewPassWord,  Len(NewPassWord.s))
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If NewPassWord.s <> StoredPassWord.s
        
        MessageRequester("Security Error",  "Password does not match" + Chr(10) + Chr(13) +  Chr(10) + Chr(13) + "Try again, or press ESC to exit.",  #MB_ICONWARNING)
        
        SetGadgetText(#Gadget_StartUpPassword_UnlockPassWord, "")
        
        SetActiveGadget(#Gadget_StartUpPassword_UnlockPassWord)
        
      ElseIf  NewPassWord.s = StoredPassWord.s
        
        CloseMyWindow(#Window_StartUpPassword)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; Folding = -
; EnableXP