;==========================================================================================================================================================
; Open the edit password window
;==========================================================================================================================================================

Procedure EditPassWordWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Program\WindowMutex <> 1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If Window_EditPassword()
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      HideWindow(#Window_PasswordMuncher, #True)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      DisableWindow(#Window_PasswordMuncher, #True)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      StickyWindow(#Window_EditPassword, #True)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Program\WindowMutex = 1
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Program\LastWindow = "Program Edit Password"

      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      AddKeyboardShortcut(#Window_EditPassword, #PB_Shortcut_Return, #ShortCut_EditPassword_Return)
      
      AddKeyboardShortcut(#Window_EditPassword, #PB_Shortcut_Escape, #ShortCut_EditPassword_Escape)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "SELECT MD5FingerPrint FROM Preferences "
      
      QueryString.s + "Where Record = '1'"
      
      If DatabaseQuery(Program\DatabaseHandle, QueryString.s)
        
        While NextDatabaseRow(Program\DatabaseHandle)
          
          Program\OldPassword = KillQuote(GetDatabaseString(Program\DatabaseHandle, 0))
          
        Wend
        
        FinishDatabaseQuery(Program\DatabaseHandle)
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      DisableGadget(#Gadget_EditPassword_OldpassWord, #True)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetText(#Gadget_EditPassword_OldpassWord, Program\OldPassword)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetWindowTitle(#Window_EditPassword, "Edit your current password.")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetActiveGadget(#Gadget_EditPassword_ConfirmPassWord)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 34
; FirstLine = 19
; Folding = -
; EnableXP
; HideErrorLog