;============================================================================================================================================================
; Hide the program window now
;============================================================================================================================================================

Procedure HideProgramWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; Minimise the program to the system tray area and set a tool tip
  ;------------------------------------------------------------------------------------------------
  
  Program\TrayState = #True      ; We've hidden the tray, so set the value corectly
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  HideWindow(#Window_PasswordMuncher, #True)
  
  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------
  
  DisableWindow(#Window_PasswordMuncher, #True)
  
  ;------------------------------------------------------------------------------------------------
  ; Add the system tray icon now
  ;------------------------------------------------------------------------------------------------
  
  AddSysTrayIcon(#Systray_PasswordMuncher_Tray, WindowID(#Window_PasswordMuncher), ImageID(#ProgramIcon))
  
  ;------------------------------------------------------------------------------------------------
  ; Add a tool tip to the tray
  ;------------------------------------------------------------------------------------------------
  
  SysTrayIconToolTip(#Systray_PasswordMuncher_Tray, #Program)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------  
  
EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 16
; Folding = -
; EnableXP