;==========================================================================================================================================================
; Show the program window now
;==========================================================================================================================================================

Procedure ShowProgramWindow()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Program\LockState <> 1
    
    ;----------------------------------------------------------------------------------------------
    ; Set tray semaphore to show that we don't need it
    ;----------------------------------------------------------------------------------------------
    
    Program\TrayState = #False
    
    ;----------------------------------------------------------------------------------------------
    ; Remove the tray ico, not needed any more
    ;----------------------------------------------------------------------------------------------
    
    RemoveSysTrayIcon(#Systray_PasswordMuncher_Tray)
    
    ;----------------------------------------------------------------------------------------------
    ; Hide the window now
    ;----------------------------------------------------------------------------------------------
    
    HideWindow(#Window_PasswordMuncher, #False)
    
    ;----------------------------------------------------------------------------------------------
    ; Hide the window now
    ;----------------------------------------------------------------------------------------------
    
    DisableWindow(#Window_PasswordMuncher, #False)
    
    ;----------------------------------------------------------------------------------------------
    ; Unhiding doesn't show the window sadly
    ;----------------------------------------------------------------------------------------------
    
    SetWindowState(#Window_PasswordMuncher, #PB_Window_Normal)
    
    ;----------------------------------------------------------------------------------------------
    ; Un-hiding the window brings it to the front
    ;----------------------------------------------------------------------------------------------
    
    SetActiveWindow(#Window_PasswordMuncher)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    UnLockProgramWindow()
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 63
; FirstLine = 14
; Folding = -
; EnableXP
; HideErrorLog