﻿;==========================================================================================================================================================
; Sort ListIconGadget as you need it. Based on Reg Venaglia's routine.
;==========================================================================================================================================================

Procedure SortTitleStrings(HighlightString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  NumberOfItems.i = CountGadgetItems(#Gadget_PasswordMuncher_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; Get number items in ListIcon
  ;------------------------------------------------------------------------------------------------
  
  If NumberOfItems.i > 2
    
    ;----------------------------------------------------------------------------------------------
    ; Get number items in ListIcon
    ;----------------------------------------------------------------------------------------------
    
    NewList Passwords.PasswordData()
    
    ;----------------------------------------------------------------------------------------------
    ; Place each item text into the list. Must start at Zero
    ;----------------------------------------------------------------------------------------------
    
    For LoopCounter.i = 0 To NumberOfItems.i - 1
      
      AddElement(Passwords())
      
      Passwords()\Title         = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 0)
      
      Passwords()\Category      = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 1)
      
      Passwords()\Favourite     = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 2)
      
      Passwords()\Locked        = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 3)
      
      Passwords()\Deleted       = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 4)
      
      Passwords()\Record        = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, LoopCounter.i, 5)
      
    Next LoopCounter 
    
    ;----------------------------------------------------------------------------------------------
    ; Sort the Array in ascending order
    ;----------------------------------------------------------------------------------------------
    
    SortStructuredList(Passwords(), #PB_Sort_Ascending, OffsetOf(PasswordData\Title), #PB_String, 0, ListIndex(Passwords()))
    
    ;----------------------------------------------------------------------------------------------
    ; Now replace ListIcon Items from the sorted Array
    ;----------------------------------------------------------------------------------------------
    
    ForEach Passwords()
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Title,      0)
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Category,   1)
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Favourite,  2)
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Locked,     3)

      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Deleted,    4)
      
      SetGadgetItemText(#Gadget_PasswordMuncher_Titles, ListIndex(Passwords()), Passwords()\Record,     5)
      
      If HighlightString.s = Passwords()\Title
        
        LineToHighLight.i = ListIndex(Passwords())
        
      EndIf
      
    Next Passwords()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    ClearList(Passwords())
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetGadgetState(#Gadget_PasswordMuncher_Titles, LineToHighLight.i)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 48
; FirstLine = 24
; Folding = -
; EnableXP
; HideErrorLog