﻿;==========================================================================================================================================================
; Copy highlighted data to the system clipboard
;==========================================================================================================================================================

Procedure CopyDataToClipboard()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_PasswordMuncher_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine <> -1
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    pasDeleted.s = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, ItemList.i, Program\DeletedColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If pasDeleted <> "1"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      passRecord.s = GetGadgetItemText(#Gadget_PasswordMuncher_Titles, ItemList.i, Program\RecordColumn)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      QueryString.s = "SELECT * FROM Passwords "
      
      QueryString.s + "WHERE Record = '" + passRecord.s + "' "
      
      QueryString.s + "AND Deleted <> '1'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseQuery(Program\DatabaseHandle, QueryString.s)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        While NextDatabaseRow(Program\DatabaseHandle)
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          MasterString.s + FormatField("Title",             25) + KillQuote(GetDatabaseString(Program\DatabaseHandle,  0))  + #CRLF$
          
          MasterString.s + "------------------------------------------------------------------------------"                 + #CRLF$
          
          MasterString.s + FormatField("Information",       25) + KillQuote(GetDatabaseString(Program\DatabaseHandle,  1))  + #CRLF$
          
          MasterString.s + "------------------------------------------------------------------------------"                 + #CRLF$
          
          MasterString.s + FormatField("Category",          25) +           GetDatabaseString(Program\DatabaseHandle,  2)   + #CRLF$
          
          MasterString.s + FormatField("Favourite",         25) +           GetDatabaseString(Program\DatabaseHandle,  3)   + #CRLF$
          
          MasterString.s + FormatField("Locked",            25) +           GetDatabaseString(Program\DatabaseHandle,  4)   + #CRLF$
          
          MasterString.s + FormatField("Deleted",           25) +           GetDatabaseString(Program\DatabaseHandle,  5)   + #CRLF$
          
          MasterString.s + FormatField("Record",            25) +           GetDatabaseString(Program\DatabaseHandle,  6)   + #CRLF$
          
          MasterString.s + "------------------------------------------------------------------------------"                 + #CRLF$
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Wend
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        FinishDatabaseQuery(Program\DatabaseHandle)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings", "Warn", "The database query failed or was empty. " + DatabaseError())
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetClipboardText(MasterString.s)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings", "Info", Str(CopyCounter.i) + "The selected item was copied to the clipboard")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Warn", "Cannot copy a deleted item, undelete it first.")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Info", "No current line selected to be copied.")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 142
; FirstLine = 75
; Folding = -
; EnableXP
; HideErrorLog