﻿;============================================================================================================================================================
; Format the passed string to the correct field length for printing/copying to clipboard etc
;============================================================================================================================================================

Procedure.s FormatField(InString.s, FieldLen.i)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  InStringLen.i = Len(InString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SpaceLen.i    = FieldLen.i - InStringLen.i

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If SpaceLen.i > 1
  
    OutString.s = InString.s + ": " + Space(SpaceLen.i)
  
  Else
  
    OutString.s = InString.s + ": "
  
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ProcedureReturn OutString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 4
; Folding = -
; EnableXP