;============================================================================================================================================================
; Replace bad characters with XML compatible ones. Thorsten Hoeppner
;============================================================================================================================================================

Procedure.s TextToXML(TextString.s)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  XMLString.s = ReplaceString(TextString.s,     "&", "&amp;")

  XMLString.s = ReplaceString(XMLString.s,       "<", "&lt;")

  XMLString.s = ReplaceString(XMLString.s,       ">", "&gt;")

  XMLString.s = ReplaceString(XMLString.s,     "'", "&apos;")

  XMLString.s = ReplaceString(XMLString.s,      "", "&#128")

  XMLString.s = ReplaceString(XMLString.s, Chr(34), "&quot;")
  
  XMLString.s = RemoveString(XMLString.s,  Chr(13))
  
  XMLString.s = ReplaceString(XMLString.s, Chr(07), Chr(182))
  
  XMLString.s = ReplaceString(XMLString.s, Chr(10), Chr(182))

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ProcedureReturn XMLString.s

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.22 LTS (Windows - x86)
; CursorPosition = 22
; Folding = -
; EnableAsm
; EnableXP