;============================================================================================================================================================
; 
;============================================================================================================================================================

Procedure Editor_Load(Gadget.i, FileName.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If FileName.s
    
    RtfFile.i = ReadFile(#PB_Any, FileName.s)
    
    If RtfFile.i
    
      stream.EDITSTREAM
      
      stream\dwCookie    = 0
      
      stream\pfnCallback = @Editor_StreamCallback()
      
      SendMessage_(GadgetID(Gadget.i), #EM_STREAMIN, #SF_RTF, @stream)
     
      CloseFile(RtfFile.i)
      
    Else
      
      ; Debug "No file handle found."
      
    EndIf
    
  Else
    
    ; Debug "Filename not specified."
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.23 LTS (Windows - x86)
; CursorPosition = 24
; FirstLine = 7
; Folding = -
; EnableAsm
; EnableXP