;==========================================================================================================================
; Check that the old password and confirmation passwords match
;==========================================================================================================================

Procedure CheckConfirmPassWord()

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  NewPassWord.s     = GetGadgetText(#Gadget_NewPassword_NewPassWord)

  ConfirmPassWord.s = GetGadgetText(#Gadget_NewPassword_ConfirmPassWord)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  If ConfirmPassWord.s = ""

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    MessageRequester("Security Error",  "The confirmation password is empty." + Chr(10) + Chr(13) + Chr(10) + Chr(13) + "You must type one in to continue."  + Chr(10) + Chr(13) + Chr(10) + Chr(13) +  "Please try again.", #MB_ICONWARNING)

    SetGadgetText(#Gadget_NewPassword_ConfirmPassWord, "")

    SetActiveGadget(#Gadget_NewPassword_ConfirmPassWord)

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

  ElseIf ConfirmPassWord.s <> NewPassWord.s

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    MessageRequester("Security Error", "The passwords do not match." + Chr(10) + Chr(13) + Chr(10) + Chr(13) + "Please try again.",  #MB_ICONWARNING)

    SetGadgetText(#Gadget_NewPassword_ConfirmPassWord, "")

    SetActiveGadget(#Gadget_NewPassword_ConfirmPassWord)

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

  ElseIf ConfirmPassWord.s  = NewPassWord.s

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    Program\MD5FingerPrint = MD5Fingerprint(@ConfirmPassWord,  Len(ConfirmPassWord.s))

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    QueryString.s = "UPDATE Preferences "
    
    QueryString.s + "SET MD5FingerPrint = '" + RepQuote(Program\MD5FingerPrint) + "' "
    
    QueryString.s + "WHERE Record = '1'"
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If DatabaseUpdate(Program\DatabaseHandle, QueryString.s)
      
      SetInfoBarArea("Headings",  "Info",  "The new password has been added to the database.")
      
    Else
      
      SetInfoBarArea("Headings",  "Error",  "Could not add new password to database." + DatabaseError())
      
    EndIf
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CloseMyWindow(#Window_NewPassword)

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; CursorPosition = 72
; FirstLine = 51
; Folding = -
; EnableXP