;==========================================================================================================================================================
; Check the unlocking password
;==========================================================================================================================================================

Procedure CheckUnlockPassWord()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  FocusId.i = GetActiveGadget()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select FocusId.i
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
      
    Case  #Gadget_UnlockPassword_UnlockPassWord
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
    
      QueryString.s = "SELECT MD5FingerPrint FROM Preferences "
      
      QueryString.s + "WHERE Record = '1'"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If DatabaseQuery(Program\DatabaseHandle, QueryString.s)
        
        While NextDatabaseRow(Program\DatabaseHandle)
          
          StoredPassWord.s = KillQuote(GetDatabaseString(Program\DatabaseHandle, 0))
          
        Wend
        
        FinishDatabaseQuery(Program\DatabaseHandle)
        
      EndIf
    
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      NewPassWord.s    = GetGadgetText(#Gadget_UnlockPassword_UnlockPassWord)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If NewPassWord.s = ""
        
        MessageRequester("Security Error",  "The password field must not be empty." + Chr(10) + Chr(13) + Chr(10) + Chr(13) + "You have to type in a password to unlock the program."  + Chr(10) + Chr(13) + Chr(10) + Chr(13) +  "Try again.",  #MB_ICONWARNING)
        
        SetGadgetText(#Gadget_UnlockPassword_UnlockPassWord, "")
        
        SetActiveGadget(#Gadget_UnlockPassword_UnlockPassWord)
        
      ElseIf NewPassWord.s <> ""
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        NewPassWord.s    = MD5Fingerprint(@NewPassWord,  Len(NewPassWord.s))
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If NewPassWord.s <> StoredPassWord.s
          
          MessageRequester("Security Error",  "The passwords do not match." + Chr(10) + Chr(13) + Chr(10) + Chr(13) + "Try again.",  #MB_ICONWARNING)
          
          SetGadgetText(#Gadget_UnlockPassword_UnlockPassWord, "")
          
          SetActiveGadget(#Gadget_UnlockPassword_UnlockPassWord)
          
        ElseIf  NewPassWord.s = StoredPassWord.s
          
          Program\LockState = 0
          
          CloseMyWindow(#Window_UnlockPassword)
          
          ShowProgramWindow()
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
    
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
EndProcedure


; IDE Options = PureBasic 5.24 LTS (Windows - x86)
; Folding = -
; EnableXP